<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["at"]) && isset($_GET["ent"]) && $_GET["ent"] > 0)
{
	
	$itemID = $_GET["ent"];

	// item asociado
	$qit = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND itemID='".$itemID."'","[var_at=1]");
	$rowit = myfetch($qit);
	if (IDIOMA_ACTUAL == 0)
	{
		$titulo_trad_item = $rowit["titulo"];
		$titulo_trad_item_sef = SEFcompleURL($rowit["titulo"]);
		$titulo_trad_item_popup = salida_popups($rowit["titulo"]);
	}
	else if (IDIOMA_ACTUAL == 1)
	{
		$titulo_trad_item = $rowit["titulo_1"];
		$titulo_trad_item_sef = SEFcompleURL($rowit["titulo_1"]);
		$titulo_trad_item_popup = salida_popups($rowit["titulo_1"]);
	}
	else if (IDIOMA_ACTUAL == 2)
	{
		$titulo_trad_item = $rowit["titulo_2"];
		$titulo_trad_item_sef = SEFcompleURL($rowit["titulo_2"]);
		$titulo_trad_item_popup = salida_popups($rowit["titulo_2"]);
	}
	else if (IDIOMA_ACTUAL == 3)
	{
		$titulo_trad_item = $rowit["titulo_3"];
		$titulo_trad_item_sef = SEFcompleURL($rowit["titulo_3"]);
		$titulo_trad_item_popup = salida_popups($rowit["titulo_3"]);
	}
	else if (IDIOMA_ACTUAL == 4)
	{
		$titulo_trad_item = $rowit["titulo_4"];
		$titulo_trad_item_sef = SEFcompleURL($rowit["titulo_4"]);
		$titulo_trad_item_popup = salida_popups($rowit["titulo_4"]);
	}
	else if (IDIOMA_ACTUAL == 5)
	{
		$titulo_trad_item = $rowit["titulo_5"];
		$titulo_trad_item_sef = SEFcompleURL($rowit["titulo_5"]);
		$titulo_trad_item_popup = salida_popups($rowit["titulo_5"]);
	}

	// Smarty
	$smarty->assign("salida_canal_traducciones_item", $itemID);
	$smarty->assign("salida_canal_traducciones_titulo_item", $titulo_trad_item);
	$smarty->assign("salida_canal_traducciones_titulo_item_sef", $titulo_trad_item_sef);
	$smarty->assign("salida_canal_traducciones_titulo_item_popup", $titulo_trad_item_popup);
	
	// traduccion
	$salida_canal_traducciones = array();
	$q = myquery("SELECT * FROM ".TRADUCCIONES." WHERE enabled=1 AND itemID='".$itemID."' ORDER BY orden DESC, tradID DESC limit ".$sig.", ".CONFIG_27."","[var_at=2]");
	while ($row = myfetch($q))
	{	
	
		$row["traduccion"] = salida_gral( $row["traduccion"] );
		
		// fecha
		if (CONFIG_10 == 0)
		{
			$row["fecha"] = salida_fecha_latin ($row["fecha"]);
		
		} else if (CONFIG_10 == 1) {
			
			$row["fecha"] = salida_fecha_literal ($row["fecha"]);
		
		}

		$row["logADMIN"] = '<div class="admin_info"><a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?tradID='.$row["tradID"].'\','.CONFIG_5.');" class="admin">'.LEN_55.'</a> | #'.$row["tradID"].'</div>';

		$salida_canal_traducciones[] = $row;	

	} // del while

	// Smarty
	$smarty->assign("salida_canal_traducciones", $salida_canal_traducciones);

	// paginas
	$q_todos = myquery("SELECT * FROM ".TRADUCCIONES." WHERE enabled=1 AND itemID='".$itemID."'","[var_at=3]");
	$cnt_trads = mynumrows($q_todos);
	$paginas = paginas_gral($cnt_trads, $sig, $pag, CONFIG_27, RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."ent".IGUAL.$itemID.AMPER."at".IGUAL."1".AMPER."sig".IGUAL);

	// Smarty
	$smarty->assign("total", $cnt_trads);

	// Smarty
	$smarty->assign("paginas", $paginas);

	
}
	

			
?>